## Bsoft program

# bmm

### Usage: bmm [options] in1.star [in2.star ...]

Refines membrane models.

### Actions:

-center | Center before all other operations.
-minimize 150 | Number of iterations for minimizing a model.
-dynamics 500 | Number of iterations for running dynamics on a model.

### Selections:

-all | Reset selection to all components before other selections.
-select #Mod1@14 | Select models and components.

### Parameters:

-verbose 7 | Verbosity of output.
-componentradius 0.5 | Component display radius.
-linkradius 0.5 | Link display radius.

### Parameters for minimization:

-shift 6.8 | Maximum shift per iteration (angstrom, default infinite).

### Parameters for dynamics:

-timestep 0.01 | Integration time step (default 0.001).
-velocitylimit 0.01 | Limit on the velocity (default 0.1 per time step).
-friction 0.2 | Friction constant (default 1 = no friction).

### Parameters for mechanics:

-neighbors 7,45 | Neighbor designation: number and neighborhood scale (default 8,50).
-Kdistance 0.1 | Distance force constant (default 0).
-Klink 0.01 | Link force constant (default 0).
-Kangle 0.1 | Angle force constant (default 0).
-Kpolyangle 0.1 | Polygon angle force constant (default 0).
-Kpolygon 0.001 | Polygon regularity force constant (default 0).
-Kpolyplane 0.1 | Polygon planarity force constant (default 0).
-Kpoint 0.1,0.02 | Point force constant and decay (default 0,0.01).
-Kradial 0.1 | Radial force constant (default 0).
-radius 212 | Reference radial distance (default 0).
-Kplane 0.2 | Neighbor plane force constant (default 0).
-Kguide 0.5 | Polyhedron guide force constant (default 0).
-Kmap 0.5 | Map force constant (default 0).
-sigma 17 | Sigma determining kernel size for fitting a map (default map pixel size).

### Input:

-parameters parm.star | Model parameter file (default atom_prop.star).
-guide file.star | Polyhedron guide model file.

### Output:

-output file.star | Output model file.
-writeparam dm.star | Write model parameter file.

Bsoft version 2.0.3-20180917 (64 bit)